Subject: Non-ascii file name on Windows cause update failure
Description

While trying update i get error:

% hg update --repository Q:\Ryzom --verbose --rev default
[Error 123] The filename, directory name, or volume label syntax is incorrect:
'Q:\\Ryzom\\ryzom_assets/Stuff/Fyros/Decors/Constructions/Object ? classer'
[command interrupted Tue Oct 19 20:44:58 2010]

In my hdd is:
Q:\Ryzom\ryzom_assets\Stuff\Fyros\Decors\Constructions\Object à classer

Is any way to get rid of this?

History
#1 - 10/19/2010 08:52 pm - kervala
- Status changed from New to Rejected
- Priority changed from High to Low

Sorry, but we can't do anything about this, you just need to move your "ryzom_assets" outside of Q:\Ryzom

If you want to report a bug go to Hg official site :)

#2 - 10/19/2010 09:13 pm - kaetemi

I'd like to note on this that the build pipeline also does not properly handle assets with strange characters, especially if you're running under an
alternative codepage. It should be best, for the repackaging of the assets that sfb is looking into, to replace all non-ascii filenames, and to normalize all
directory names to lower-case for proper casing compatibility in case the build would be ran under linux.

#3 - 10/20/2010 06:29 pm - Geringer

Thank you for answering.
